/* TEF: tiny electric fence on Cygwin:
  Copyright (c) 2006   Katsuhiko Gondow (gondow(at)cs.titech.ac.jp)
  $Id: tef.h,v 1.1 2006/06/07 09:29:20 gondow Exp $ */

#if !defined(TEF_TEF_H)
#define TEF_TEF_H
#include <sys/types.h>

void * __wrap_malloc  (size_t size);
void * __wrap_realloc (void *ptr, size_t size);
void   __wrap_free    (void *ptr);

void *__real_malloc   (size_t size);
void *__real_realloc  (void *ptr, size_t size);
void  __real_free     (void *ptr);

/* for debugging */
#define UNUSED     __attribute__ ((unused))
void TEF_dump_list     (void) UNUSED;
void TEF_dump_array    (void) UNUSED;

extern int TEF_is_in_main;

#endif /* TEF_TEF_H */
