/* pi: Path from/to Id number conversion utility (non-cache versin)
   in TBCppA project: tracer-based CPP analyzer.
   Copyright (c) 2006   Katsuhiko Gondow (gondow(at)cs.titech.ac.jp)
   $Id: pi.h,v 1.2 2006/11/01 11:36:57 gondow Exp gondow $ */

#ifndef TBCPPA_PI_H
#define TBCPPA_PI_H
void pi_init (const char *db_file);
void pi_final (void);
void pi_add  (const char *file, const char *path);
char *pi_idnum2path (int idnum);
int  pi_path2idnum (const char *path);

extern int   path_max;
#endif /* TBCPPA_PI_H */
