#include <stdio.h>
#include <sys/param.h>
#include <stdlib.h>
int
main (int argc, char *argv [])
{
    int path_max;
    char *absolute_path, *ret;

#ifdef PATH_MAX
    path_max = PATH_MAX;
#else
    path_max = getconf (".", _PC_PATH_MAX);
#endif
    if (path_max < 1024)
	path_max = 1024;

    absolute_path = malloc (path_max);

    ret = realpath (argv [1], absolute_path);
    if (ret == NULL) {
	perror ("reapath");
	fprintf (stderr, "%s, %s\n", argv [1], absolute_path);
	exit (1);
    }
    printf ("%s\n", absolute_path);
    return 0;
}
